Bug 482766 - libnss_files-2.9.so bug?
libnss_files-2.9.so bug?
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-27 18:42 EST by Katsumi Yamaoka
Modified: 2009-02-11 06:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-11 06:17:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Katsumi Yamaoka 2009-01-27 18:42:11 EST
Hi,

Recently Emacs 21.1, 21.2, 21.3, 22.1, 22.2, and 22.3 I built in
Fedora 10 got to crash.  Rebuilding does not help.  On the other
hand, Emacs 22.2 that fedora provides through yum works.  The
difference between them is that I didn't use the configure option
"--with-gtk" when building, while Fedora's used it (that appears
in the value of the Lisp variable `system-configuration-options').
Namely using that option solves the problem, however there seems 
to be those who would not like to use it.  I'm not an exception;
I like LUCID Emacs rather than GTK Emacs.

I guess there is something wrong in libnss_files-2.9.so bundled
with glibc-2.9-3.i686.rpm and it causes the crash.  The backtrace
I caught with Emacs 22.3 built yesterday is attached.  I greatly
appreciate fixing this problem.  Thanks in advance.

P.S. Replacing libnss_files-2.9.so with libnss_files-2.8.so of
Fedora 9 did the trick.  Now all Emacs 21.1~22.3 revived.  It's
no more than a workaround, though.  Emacs 23.0.60, XEmacs 21.4.22
and XEmacs 21.5-b28 (w/o gtk) are all right so far.

--8<---------------cut here---------------start------------->8---
GNU gdb Fedora (6.8-29.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
DISPLAY = :0.0
TERM = xterm
Breakpoint 1 at 0x80f2e66: file emacs.c, line 432.
Breakpoint 2 at 0x810d427: file sysdep.c, line 1386.
(gdb) r
Starting program: /Work/emacs-22.3/src/emacs -geometry 80x40+0+0
warning: "/usr/lib/debug/usr/lib/libungif.so.4.1.3.debug": The separate debug info file has no debug info
[Thread debugging using libthread_db enabled]
[New Thread 0x400297e0 (LWP 32283)]
Breakpoint 3 at 0x80ca6f6: file xterm.c, line 7868.

Program received signal SIGSEGV, Segmentation fault.
0x0085d1eb in call_init () at dl-init.c:70
70	      init (argc, argv, env);
(gdb) bt
#0  0x0085d1eb in call_init () at dl-init.c:70
#1  _dl_init (main_map=0x858a2e8, argc=3, argv=0xbffff3c4, env=0xbffff3d4)
    at dl-init.c:134
#2  0x008618d2 in dl_open_worker (a=0xbfffea7c) at dl-open.c:516
#3  0x0085cdb6 in _dl_catch_error (objname=0xbfffeaa4, errstring=0xbfffeaa0, 
    mallocedp=0xbfffeaab, operate=0x861510 <dl_open_worker>, args=0xbfffea7c)
    at dl-error.c:178
#4  0x00860f5e in _dl_open (file=0xbfffec10 "libnss_files.so.2", 
    mode=-2147483647, caller_dlopen=0x0, nsid=-2, argc=3, argv=0xbffff3c4, 
    env=0xbffff3d4) at dl-open.c:596
#5  0x00992492 in do_dlopen (ptr=0xbfffebd4) at dl-libc.c:86
#6  0x0085cdb6 in _dl_catch_error (objname=0xbfffebe4, errstring=0xbfffebe0, 
    mallocedp=0xbfffebeb, operate=0x992430 <do_dlopen>, args=0xbfffebd4)
    at dl-error.c:178
#7  0x00992655 in dlerror_run () at dl-libc.c:47
#8  __libc_dlopen_mode (name=0xbfffec10 "libnss_files.so.2", mode=-2147483647)
    at dl-libc.c:160
#9  0x00969dba in __nss_lookup_function (ni=0x84e6c30, 
    fct_name=0x9b418b "gethostbyname_r") at nsswitch.c:361
#10 0x00969e1f in __nss_lookup (ni=0xbfffecd4, 
    fct_name=0x9b418b "gethostbyname_r", fct2_name=0x0, fctp=0xbfffecd0)
    at nsswitch.c:151
#11 0x0096bd7d in __nss_hosts_lookup2 (ni=0xbfffecd4, 
    fct_name=0x9b418b "gethostbyname_r", fct2_name=0x0, fctp=0xbfffecd0)
    at XXX-lookup.c:76
#12 0x00970e1e in __gethostbyname_r (name=0xbfffed40 "pastis", 
    resbuf=0x9e4ac4, buffer=0x8589ee0 "", buflen=1024, result=0xbfffed18, 
    h_errnop=0xbfffed14) at ../nss/getXXbyYY_r.c:200
#13 0x009705b6 in gethostbyname (name=0xbfffed40 "pastis")
    at ../nss/getXXbyYY.c:116
#14 0x0810cef5 in init_system_name () at sysdep.c:2416
#15 0x0815b14e in init_editfns () at editfns.c:142
#16 0x080f3c3d in main (argc=3, argv=0xbffff3c4) at emacs.c:1683
(gdb) q
The program is running.  Exit anyway? (y or n) 
--8<---------------cut here---------------end--------------->8---

Regards,
Comment 1 Katsumi Yamaoka 2009-02-02 17:54:14 EST
Please let me close this issue.  I don't know why, but Emacs 21.1~
22.3 LUCID got to work along with the most recent F10 glibc again.
Maybe libnss_files-2.9.so is not the direct cause.  Something in
the recent F10 updates (glib2 2.18.4-1.fc10?) might have fixed the
problem.  Sorry for the noise.

Regards,

Note You need to log in before you can comment on or make changes to this bug.